<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_25) on Tue Nov 07 17:12:41 PST 2017 -->
<title>Type.Spec</title>
<meta name="date" content="2017-11-07">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Type.Spec";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Type.Ptr.html" title="class in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/Type.Spec.html" target="_top">Frames</a></li>
<li><a href="Type.Spec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_xdc.services.spec.Type">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_xdc.services.spec.Type">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">xdc.services.spec</div>
<h2 title="Class Type.Spec" class="title">Class Type.Spec</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../xdc/services/spec/Type.html" title="class in xdc.services.spec">xdc.services.spec.Type</a></li>
<li>
<ul class="inheritance">
<li>xdc.services.spec.Type.Spec</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="strong">Type.Spec</span>
extends <a href="../../../xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a></pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../serialized-form.html#xdc.services.spec.Type.Spec">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_xdc.services.spec.Type">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;xdc.services.spec.<a href="../../../xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a></h3>
<code><a href="../../../xdc/services/spec/Type.Array.html" title="class in xdc.services.spec">Type.Array</a>, <a href="../../../xdc/services/spec/Type.Creator.html" title="class in xdc.services.spec">Type.Creator</a>, <a href="../../../xdc/services/spec/Type.Declarator.html" title="class in xdc.services.spec">Type.Declarator</a>, <a href="../../../xdc/services/spec/Type.Fxn.html" title="class in xdc.services.spec">Type.Fxn</a>, <a href="../../../xdc/services/spec/Type.Modifier.html" title="enum in xdc.services.spec">Type.Modifier</a>, <a href="../../../xdc/services/spec/Type.Paren.html" title="class in xdc.services.spec">Type.Paren</a>, <a href="../../../xdc/services/spec/Type.Ptr.html" title="class in xdc.services.spec">Type.Ptr</a>, <a href="../../../xdc/services/spec/Type.Spec.html" title="class in xdc.services.spec">Type.Spec</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_xdc.services.spec.Type">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;xdc.services.spec.<a href="../../../xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a></h3>
<code><a href="../../../xdc/services/spec/Type.html#ARG">ARG</a>, <a href="../../../xdc/services/spec/Type.html#CHAR">CHAR</a>, <a href="../../../xdc/services/spec/Type.html#DOUBLE">DOUBLE</a>, <a href="../../../xdc/services/spec/Type.html#FLOAT">FLOAT</a>, <a href="../../../xdc/services/spec/Type.html#FXN">FXN</a>, <a href="../../../xdc/services/spec/Type.html#INT">INT</a>, <a href="../../../xdc/services/spec/Type.html#INT16">INT16</a>, <a href="../../../xdc/services/spec/Type.html#INT32">INT32</a>, <a href="../../../xdc/services/spec/Type.html#INT40">INT40</a>, <a href="../../../xdc/services/spec/Type.html#INT64">INT64</a>, <a href="../../../xdc/services/spec/Type.html#INT8">INT8</a>, <a href="../../../xdc/services/spec/Type.html#LONG">LONG</a>, <a href="../../../xdc/services/spec/Type.html#LONGDOUBLE">LONGDOUBLE</a>, <a href="../../../xdc/services/spec/Type.html#LONGLONG">LONGLONG</a>, <a href="../../../xdc/services/spec/Type.html#PTR">PTR</a>, <a href="../../../xdc/services/spec/Type.html#SHORT">SHORT</a>, <a href="../../../xdc/services/spec/Type.html#SIZE">SIZE</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.EnumSet&lt;<a href="../../../xdc/services/spec/Type.Modifier.html" title="enum in xdc.services.spec">Type.Modifier</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Type.Spec.html#getMods()">getMods</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Ref.html" title="class in xdc.services.spec">Ref</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Type.Spec.html#getRef()">getRef</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Type.Spec.html#getStd()">getStd</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Type.Spec.html#isUns()">isUns</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Type.Spec.html#sizeof(java.util.List)">sizeof</a></strong>(java.util.List&lt;java.lang.String&gt;&nbsp;sL)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Type.Spec.html#xmlsig()">xmlsig</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_xdc.services.spec.Type">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;xdc.services.spec.<a href="../../../xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a></h3>
<code><a href="../../../xdc/services/spec/Type.html#ptrsig()">ptrsig</a>, <a href="../../../xdc/services/spec/Type.html#raw()">raw</a>, <a href="../../../xdc/services/spec/Type.html#root()">root</a>, <a href="../../../xdc/services/spec/Type.html#tcode()">tcode</a>, <a href="../../../xdc/services/spec/Type.html#term()">term</a>, <a href="../../../xdc/services/spec/Type.html#tsig()">tsig</a>, <a href="../../../xdc/services/spec/Type.html#tspec()">tspec</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMods()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMods</h4>
<pre>public final&nbsp;java.util.EnumSet&lt;<a href="../../../xdc/services/spec/Type.Modifier.html" title="enum in xdc.services.spec">Type.Modifier</a>&gt;&nbsp;getMods()</pre>
</li>
</ul>
<a name="getRef()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRef</h4>
<pre>public final&nbsp;<a href="../../../xdc/services/spec/Ref.html" title="class in xdc.services.spec">Ref</a>&nbsp;getRef()</pre>
</li>
</ul>
<a name="getStd()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStd</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getStd()</pre>
</li>
</ul>
<a name="isUns()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUns</h4>
<pre>public final&nbsp;boolean&nbsp;isUns()</pre>
</li>
</ul>
<a name="sizeof(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sizeof</h4>
<pre>public&nbsp;void&nbsp;sizeof(java.util.List&lt;java.lang.String&gt;&nbsp;sL)</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../xdc/services/spec/Type.html#sizeof(java.util.List)">sizeof</a></code>&nbsp;in class&nbsp;<code><a href="../../../xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a></code></dd>
</dl>
</li>
</ul>
<a name="xmlsig()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>xmlsig</h4>
<pre>public&nbsp;java.lang.String&nbsp;xmlsig()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../xdc/services/spec/Type.html#xmlsig()">xmlsig</a></code>&nbsp;in class&nbsp;<code><a href="../../../xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Type.Ptr.html" title="class in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/Type.Spec.html" target="_top">Frames</a></li>
<li><a href="Type.Spec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_xdc.services.spec.Type">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_xdc.services.spec.Type">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
